JandaPremiumVPS 20 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614
  1. #!/bin/sh
  2. # This script was generated using Makeself 2.4.0
  3. # The license covering this archive and its contents, if any, is wholly independent of the Makeself license (GPL)
  4. ORIG_UMASK=`umask`
  5. if test "n" = n; then
  6. umask 077
  7. fi
  8. CRCsum="1109394144"
  9. MD5="8447152fae03b33500424167873124ab"
  10. SHA="0000000000000000000000000000000000000000000000000000000000000000"
  11. TMPROOT=${TMPDIR:=/tmp}
  12. USER_PWD="$PWD"; export USER_PWD
  13. label=""
  14. script="./hexadecimal"
  15. scriptargs="--nomd5"
  16. licensetxt=""
  17. helpheader=''
  18. targetdir="ssh"
  19. filesizes="5508"
  20. keep="n"
  21. nooverwrite="n"
  22. quiet="n"
  23. accept="n"
  24. nodiskspace="n"
  25. export_conf="n"
  26. print_cmd_arg=""
  27. if type printf > /dev/null; then
  28. print_cmd="printf"
  29. elif test -x /usr/ucb/echo; then
  30. print_cmd="/usr/ucb/echo"
  31. else
  32. print_cmd="echo"
  33. fi
  34. if test -d /usr/xpg4/bin; then
  35. PATH=/usr/xpg4/bin:$PATH
  36. export PATH
  37. fi
  38. if test -d /usr/sfw/bin; then
  39. PATH=$PATH:/usr/sfw/bin
  40. export PATH
  41. fi
  42. unset CDPATH
  43. MS_Printf()
  44. {
  45. $print_cmd $print_cmd_arg "$1"
  46. }
  47. MS_PrintLicense()
  48. {
  49. if test x"$licensetxt" != x; then
  50. echo "$licensetxt" | more
  51. if test x"$accept" != xy; then
  52. while true
  53. do
  54. MS_Printf "Please type y to accept, n otherwise: "
  55. read yn
  56. if test x"$yn" = xn; then
  57. keep=n
  58. eval $finish; exit 1
  59. break;
  60. elif test x"$yn" = xy; then
  61. break;
  62. fi
  63. done
  64. fi
  65. fi
  66. }
  67. MS_diskspace()
  68. {
  69. (
  70. df -kP "$1" | tail -1 | awk '{ if ($4 ~ /%/) {print $3} else {print $4} }'
  71. )
  72. }
  73. MS_dd()
  74. {
  75. blocks=`expr $3 / 1024`
  76. bytes=`expr $3 % 1024`
  77. dd if="$1" ibs=$2 skip=1 obs=1024 conv=sync 2> /dev/null | \
  78. { test $blocks -gt 0 && dd ibs=1024 obs=1024 count=$blocks ; \
  79. test $bytes -gt 0 && dd ibs=1 obs=1024 count=$bytes ; } 2> /dev/null
  80. }
  81. MS_dd_Progress()
  82. {
  83. if test x"$noprogress" = xy; then
  84. MS_dd $@
  85. return $?
  86. fi
  87. file="$1"
  88. offset=$2
  89. length=$3
  90. pos=0
  91. bsize=4194304
  92. while test $bsize -gt $length; do
  93. bsize=`expr $bsize / 4`
  94. done
  95. blocks=`expr $length / $bsize`
  96. bytes=`expr $length % $bsize`
  97. (
  98. dd ibs=$offset skip=1 2>/dev/null
  99. pos=`expr $pos \+ $bsize`
  100. MS_Printf " 0%% " 1>&2
  101. if test $blocks -gt 0; then
  102. while test $pos -le $length; do
  103. dd bs=$bsize count=1 2>/dev/null
  104. pcent=`expr $length / 100`
  105. pcent=`expr $pos / $pcent`
  106. if test $pcent -lt 100; then
  107. MS_Printf "\b\b\b\b\b\b\b" 1>&2
  108. if test $pcent -lt 10; then
  109. MS_Printf " $pcent%% " 1>&2
  110. else
  111. MS_Printf " $pcent%% " 1>&2
  112. fi
  113. fi
  114. pos=`expr $pos \+ $bsize`
  115. done
  116. fi
  117. if test $bytes -gt 0; then
  118. dd bs=$bytes count=1 2>/dev/null
  119. fi
  120. MS_Printf "\b\b\b\b\b\b\b" 1>&2
  121. MS_Printf " 100%% " 1>&2
  122. ) < "$file"
  123. }
  124. MS_Help()
  125. {
  126. cat << EOH >&2
  127. ${helpheader}Makeself version 2.4.0
  128. 1) Getting help or info about $0 :
  129. $0 --help Print this message
  130. $0 --info Print embedded info : title, default target directory, embedded script ...
  131. $0 --lsm Print embedded lsm entry (or no LSM)
  132. $0 --list Print the list of files in the archive
  133. $0 --check Checks integrity of the archive
  134. 2) Running $0 :
  135. $0 [options] [--] [additional arguments to embedded script]
  136. with following options (in that order)
  137. --confirm Ask before running embedded script
  138. --quiet Do not print anything except error messages
  139. --accept Accept the license
  140. --noexec Do not run embedded script
  141. --keep Do not erase target directory after running
  142. the embedded script
  143. --noprogress Do not show the progress during the decompression
  144. --nox11 Do not spawn an xterm
  145. --nochown Do not give the extracted files to the current user
  146. --nodiskspace Do not check for available disk space
  147. --target dir Extract directly to a target directory (absolute or relative)
  148. This directory may undergo recursive chown (see --nochown).
  149. --tar arg1 [arg2 ...] Access the contents of the archive through the tar command
  150. -- Following arguments will be passed to the embedded script
  151. EOH
  152. }
  153. MS_Check()
  154. {
  155. OLD_PATH="$PATH"
  156. PATH=${GUESS_MD5_PATH:-"$OLD_PATH:/bin:/usr/bin:/sbin:/usr/local/ssl/bin:/usr/local/bin:/opt/openssl/bin"}
  157. MD5_ARG=""
  158. MD5_PATH=`exec <&- 2>&-; which md5sum || command -v md5sum || type md5sum`
  159. test -x "$MD5_PATH" || MD5_PATH=`exec <&- 2>&-; which md5 || command -v md5 || type md5`
  160. test -x "$MD5_PATH" || MD5_PATH=`exec <&- 2>&-; which digest || command -v digest || type digest`
  161. PATH="$OLD_PATH"
  162. SHA_PATH=`exec <&- 2>&-; which shasum || command -v shasum || type shasum`
  163. test -x "$SHA_PATH" || SHA_PATH=`exec <&- 2>&-; which sha256sum || command -v sha256sum || type sha256sum`
  164. if test x"$quiet" = xn; then
  165. MS_Printf "Verifying archive integrity..."
  166. fi
  167. offset=`head -n 589 "$1" | wc -c | tr -d " "`
  168. verb=$2
  169. i=1
  170. for s in $filesizes
  171. do
  172. crc=`echo $CRCsum | cut -d" " -f$i`
  173. if test -x "$SHA_PATH"; then
  174. if test x"`basename $SHA_PATH`" = xshasum; then
  175. SHA_ARG="-a 256"
  176. fi
  177. sha=`echo $SHA | cut -d" " -f$i`
  178. if test x"$sha" = x0000000000000000000000000000000000000000000000000000000000000000; then
  179. test x"$verb" = xy && echo " $1 does not contain an embedded SHA256 checksum." >&2
  180. else
  181. shasum=`MS_dd_Progress "$1" $offset $s | eval "$SHA_PATH $SHA_ARG" | cut -b-64`;
  182. if test x"$shasum" != x"$sha"; then
  183. echo "Error in SHA256 checksums: $shasum is different from $sha" >&2
  184. exit 2
  185. else
  186. test x"$verb" = xy && MS_Printf " SHA256 checksums are OK." >&2
  187. fi
  188. crc="0000000000";
  189. fi
  190. fi
  191. if test -x "$MD5_PATH"; then
  192. if test x"`basename $MD5_PATH`" = xdigest; then
  193. MD5_ARG="-a md5"
  194. fi
  195. md5=`echo $MD5 | cut -d" " -f$i`
  196. if test x"$md5" = x00000000000000000000000000000000; then
  197. test x"$verb" = xy && echo " $1 does not contain an embedded MD5 checksum." >&2
  198. else
  199. md5sum=`MS_dd_Progress "$1" $offset $s | eval "$MD5_PATH $MD5_ARG" | cut -b-32`;
  200. if test x"$md5sum" != x"$md5"; then
  201. echo "Error in MD5 checksums: $md5sum is different from $md5" >&2
  202. exit 2
  203. else
  204. test x"$verb" = xy && MS_Printf " MD5 checksums are OK." >&2
  205. fi
  206. crc="0000000000"; verb=n
  207. fi
  208. fi
  209. if test x"$crc" = x0000000000; then
  210. test x"$verb" = xy && echo " $1 does not contain a CRC checksum." >&2
  211. else
  212. sum1=`MS_dd_Progress "$1" $offset $s | CMD_ENV=xpg4 cksum | awk '{print $1}'`
  213. if test x"$sum1" = x"$crc"; then
  214. test x"$verb" = xy && MS_Printf " CRC checksums are OK." >&2
  215. else
  216. echo "Error in checksums: $sum1 is different from $crc" >&2
  217. exit 2;
  218. fi
  219. fi
  220. i=`expr $i + 1`
  221. offset=`expr $offset + $s`
  222. done
  223. if test x"$quiet" = xn; then
  224. echo " All good."
  225. fi
  226. }
  227. UnTAR()
  228. {
  229. if test x"$quiet" = xn; then
  230. tar $1vf - 2>&1 || { echo " ... Extraction failed." > /dev/tty; kill -15 $$; }
  231. else
  232. tar $1f - 2>&1 || { echo Extraction failed. > /dev/tty; kill -15 $$; }
  233. fi
  234. }
  235. finish=true
  236. xterm_loop=
  237. noprogress=n
  238. nox11=n
  239. copy=none
  240. ownership=y
  241. verbose=n
  242. initargs="$@"
  243. while true
  244. do
  245. case "$1" in
  246. -h | --help)
  247. MS_Help
  248. exit 0
  249. ;;
  250. -q | --quiet)
  251. quiet=y
  252. noprogress=y
  253. shift
  254. ;;
  255. --accept)
  256. accept=y
  257. shift
  258. ;;
  259. --info)
  260. echo Identification: "$label"
  261. echo Target directory: "$targetdir"
  262. echo Uncompressed size: 16 KB
  263. echo Compression: bzip2
  264. echo Date of packaging: Sat May 19 04:11:41 +08 2018
  265. echo Built with Makeself version 2.4.0 on
  266. echo Build command was: "./makeself.sh \\
  267. \"--bzip2\" \\
  268. \"ssh/\" \\
  269. \"Clrkz\" \\
  270. \"\" \\
  271. \"./hexadecimal\" \\
  272. \"--nomd5\""
  273. if test x"$script" != x; then
  274. echo Script run after extraction:
  275. echo " " $script $scriptargs
  276. fi
  277. if test x"" = xcopy; then
  278. echo "Archive will copy itself to a temporary location"
  279. fi
  280. if test x"n" = xy; then
  281. echo "Root permissions required for extraction"
  282. fi
  283. if test x"n" = xy; then
  284. echo "directory $targetdir is permanent"
  285. else
  286. echo "$targetdir will be removed after extraction"
  287. fi
  288. exit 0
  289. ;;
  290. --dumpconf)
  291. echo LABEL=\"$label\"
  292. echo SCRIPT=\"$script\"
  293. echo SCRIPTARGS=\"$scriptargs\"
  294. echo archdirname=\"ssh\"
  295. echo KEEP=n
  296. echo NOOVERWRITE=n
  297. echo COMPRESS=bzip2
  298. echo filesizes=\"$filesizes\"
  299. echo CRCsum=\"$CRCsum\"
  300. echo MD5sum=\"$MD5\"
  301. echo OLDUSIZE=16
  302. echo OLDSKIP=590
  303. exit 0
  304. ;;
  305. --lsm)
  306. cat << EOLSM
  307. No LSM.
  308. EOLSM
  309. exit 0
  310. ;;
  311. --list)
  312. echo Target directory: $targetdir
  313. offset=`head -n 589 "$0" | wc -c | tr -d " "`
  314. for s in $filesizes
  315. do
  316. MS_dd "$0" $offset $s | eval "bzip2 -d" | UnTAR t
  317. offset=`expr $offset + $s`
  318. done
  319. exit 0
  320. ;;
  321. --tar)
  322. offset=`head -n 589 "$0" | wc -c | tr -d " "`
  323. arg1="$2"
  324. if ! shift 2; then MS_Help; exit 1; fi
  325. for s in $filesizes
  326. do
  327. MS_dd "$0" $offset $s | eval "bzip2 -d" | tar "$arg1" - "$@"
  328. offset=`expr $offset + $s`
  329. done
  330. exit 0
  331. ;;
  332. --check)
  333. MS_Check "$0" y
  334. exit 0
  335. ;;
  336. --confirm)
  337. verbose=y
  338. shift
  339. ;;
  340. --noexec)
  341. script=""
  342. shift
  343. ;;
  344. --keep)
  345. keep=y
  346. shift
  347. ;;
  348. --target)
  349. keep=y
  350. targetdir="${2:-.}"
  351. if ! shift 2; then MS_Help; exit 1; fi
  352. ;;
  353. --noprogress)
  354. noprogress=y
  355. shift
  356. ;;
  357. --nox11)
  358. nox11=y
  359. shift
  360. ;;
  361. --nochown)
  362. ownership=n
  363. shift
  364. ;;
  365. --nodiskspace)
  366. nodiskspace=y
  367. shift
  368. ;;
  369. --xwin)
  370. if test "n" = n; then
  371. finish="echo Press Return to close this window...; read junk"
  372. fi
  373. xterm_loop=1
  374. shift
  375. ;;
  376. --phase2)
  377. copy=phase2
  378. shift
  379. ;;
  380. --)
  381. shift
  382. break ;;
  383. -*)
  384. echo Unrecognized flag : "$1" >&2
  385. MS_Help
  386. exit 1
  387. ;;
  388. *)
  389. break ;;
  390. esac
  391. done
  392. if test x"$quiet" = xy -a x"$verbose" = xy; then
  393. echo Cannot be verbose and quiet at the same time. >&2
  394. exit 1
  395. fi
  396. if test x"n" = xy -a `id -u` -ne 0; then
  397. echo "Administrative privileges required for this archive (use su or sudo)" >&2
  398. exit 1
  399. fi
  400. if test x"$copy" \!= xphase2; then
  401. MS_PrintLicense
  402. fi
  403. case "$copy" in
  404. copy)
  405. tmpdir="$TMPROOT"/makeself.$RANDOM.`date +"%y%m%d%H%M%S"`.$$
  406. mkdir "$tmpdir" || {
  407. echo "Could not create temporary directory $tmpdir" >&2
  408. exit 1
  409. }
  410. SCRIPT_COPY="$tmpdir/makeself"
  411. echo "Copying to a temporary location..." >&2
  412. cp "$0" "$SCRIPT_COPY"
  413. chmod +x "$SCRIPT_COPY"
  414. cd "$TMPROOT"
  415. exec "$SCRIPT_COPY" --phase2 -- $initargs
  416. ;;
  417. phase2)
  418. finish="$finish ; rm -rf `dirname $0`"
  419. ;;
  420. esac
  421. if test x"$nox11" = xn; then
  422. if tty -s; then # Do we have a terminal?
  423. :
  424. else
  425. if test x"$DISPLAY" != x -a x"$xterm_loop" = x; then # No, but do we have X?
  426. if xset q > /dev/null 2>&1; then # Check for valid DISPLAY variable
  427. GUESS_XTERMS="xterm gnome-terminal rxvt dtterm eterm Eterm xfce4-terminal lxterminal kvt konsole aterm terminology"
  428. for a in $GUESS_XTERMS; do
  429. if type $a >/dev/null 2>&1; then
  430. XTERM=$a
  431. break
  432. fi
  433. done
  434. chmod a+x $0 || echo Please add execution rights on $0
  435. if test `echo "$0" | cut -c1` = "/"; then # Spawn a terminal!
  436. exec $XTERM -title "$label" -e "$0" --xwin "$initargs"
  437. else
  438. exec $XTERM -title "$label" -e "./$0" --xwin "$initargs"
  439. fi
  440. fi
  441. fi
  442. fi
  443. fi
  444. if test x"$targetdir" = x.; then
  445. tmpdir="."
  446. else
  447. if test x"$keep" = xy; then
  448. if test x"$nooverwrite" = xy && test -d "$targetdir"; then
  449. echo "Target directory $targetdir already exists, aborting." >&2
  450. exit 1
  451. fi
  452. if test x"$quiet" = xn; then
  453. echo "Creating directory $targetdir" >&2
  454. fi
  455. tmpdir="$targetdir"
  456. dashp="-p"
  457. else
  458. tmpdir="$TMPROOT/selfgz$$$RANDOM"
  459. dashp=""
  460. fi
  461. mkdir $dashp "$tmpdir" || {
  462. echo 'Cannot create target directory' $tmpdir >&2
  463. echo 'You should try option --target dir' >&2
  464. eval $finish
  465. exit 1
  466. }
  467. fi
  468. location="`pwd`"
  469. if test x"$SETUP_NOCHECK" != x1; then
  470. MS_Check "$0"
  471. fi
  472. offset=`head -n 589 "$0" | wc -c | tr -d " "`
  473. if test x"$verbose" = xy; then
  474. MS_Printf "About to extract 16 KB in $tmpdir ... Proceed ? [Y/n] "
  475. read yn
  476. if test x"$yn" = xn; then
  477. eval $finish; exit 1
  478. fi
  479. fi
  480. if test x"$quiet" = xn; then
  481. MS_Printf "Uncompressing $label"
  482. # Decrypting with openssl will ask for password,
  483. # the prompt needs to start on new line
  484. if test x"n" = xy; then
  485. echo
  486. fi
  487. fi
  488. res=3
  489. if test x"$keep" = xn; then
  490. trap 'echo Signal caught, cleaning up >&2; cd $TMPROOT; /bin/rm -rf "$tmpdir"; eval $finish; exit 15' 1 2 3 15
  491. fi
  492. if test x"$nodiskspace" = xn; then
  493. leftspace=`MS_diskspace "$tmpdir"`
  494. if test -n "$leftspace"; then
  495. if test "$leftspace" -lt 16; then
  496. echo
  497. echo "Not enough space left in "`dirname $tmpdir`" ($leftspace KB) to decompress $0 (16 KB)" >&2
  498. echo "Use --nodiskspace option to skip this check and proceed anyway" >&2
  499. if test x"$keep" = xn; then
  500. echo "Consider setting TMPDIR to a directory with more free space."
  501. fi
  502. eval $finish; exit 1
  503. fi
  504. fi
  505. fi
  506. for s in $filesizes
  507. do
  508. if MS_dd_Progress "$0" $offset $s | eval "bzip2 -d" | ( cd "$tmpdir"; umask $ORIG_UMASK ; UnTAR xp ) 1>/dev/null; then
  509. if test x"$ownership" = xy; then
  510. (cd "$tmpdir"; chown -R `id -u` .; chgrp -R `id -g` .)
  511. fi
  512. else
  513. echo >&2
  514. echo "Unable to decompress $0" >&2
  515. eval $finish; exit 1
  516. fi
  517. offset=`expr $offset + $s`
  518. done
  519. if test x"$quiet" = xn; then
  520. echo
  521. fi
  522. cd "$tmpdir"
  523. res=0
  524. if test x"$script" != x; then
  525. if test x"$export_conf" = x"y"; then
  526. MS_BUNDLE="$0"
  527. MS_LABEL="$label"
  528. MS_SCRIPT="$script"
  529. MS_SCRIPTARGS="$scriptargs"
  530. MS_ARCHDIRNAME="$archdirname"
  531. MS_KEEP="$KEEP"
  532. MS_NOOVERWRITE="$NOOVERWRITE"
  533. MS_COMPRESS="$COMPRESS"
  534. export MS_BUNDLE MS_LABEL MS_SCRIPT MS_SCRIPTARGS
  535. export MS_ARCHDIRNAME MS_KEEP MS_NOOVERWRITE MS_COMPRESS
  536. fi
  537. if test x"$verbose" = x"y"; then
  538. MS_Printf "OK to execute: $script $scriptargs $* ? [Y/n] "
  539. read yn
  540. if test x"$yn" = x -o x"$yn" = xy -o x"$yn" = xY; then
  541. eval "\"$script\" $scriptargs \"\$@\""; res=$?;
  542. fi
  543. else
  544. eval "\"$script\" $scriptargs \"\$@\""; res=$?
  545. fi
  546. if test "$res" -ne 0; then
  547. test x"$verbose" = xy && echo "The program '$script' returned an error code ($res)" >&2
  548. fi
  549. fi
  550. if test x"$keep" = xn; then
  551. cd "$TMPROOT"
  552. /bin/rm -rf "$tmpdir"
  553. fi
  554. eval $finish; exit $res
  555. BZh91AY&SY M«
  556. Qÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿàϼy‡s¸¨ôœÍï¬ç»îÖÏYsÝ«„»¶Ýë�zà÷)·c··»ÇxðÔ!dѦ§‰¨õ<˜&L£LšySi騞�2ŒÂjzM(Ù#Fšz›"PzOÔ�SMI£É1¦€LM6§¤õLQµ<Se=4j4õ=&'¤ÓÈ#O) ÍÑ�¦‘14SÔôÓL§‘¢hÓSÍ&›SmÉ6КS"mOSÔ’�êòj6§’iúD=CFB“FF 2Põ“!£M0 ô�6¡€&ÔÑ )þ“Ó&Mô4˜i¤Ò14õhÐ#Se24ô�(i´žšƒ@ 4m š 4hÐÈôÒ@ ò�zMh€jbÈ�SÓ'£TýM0šhÒ <�”ÄhÐdƒG¨ÈõcPÑ @hÐ =L hÐÐhÈdLˆ4`&LF0 ˜H‘MM6¦ÐMF@™M�ÍñM¦SÔɈ6IèИ4G¢£4ÔÍLMŒš=OI¦jSÑa14cCSM 0Lƒ#FG¨=@Д0Hš%<Nçn¸Ø<N� ¶¸»TjPAqöç §‚`B”�f>ˆÚ £†ÚhI´0y n—ÅÑÞB“Cs ú7Âh«–×çW4ÄH”S¯·g2b&¿µŽZNÂ$%\蘤²1ƒ‹ð(Þ¹£-óQ“Ü£�–’¤ñ1UU
  557. |)Y‰‘uLU3O5ê}6þÖ ®
  558. ºWT8S; ³ 3)+/«¨n(¢TJÀ˜³+ÛT’m‰J›ËOV… ©½�±`Ó4X]ز‰B%Œ¦ä²�4Úye¸è G>içò½E´'/*#€ö`œ„#Ž¢+âŒ#%½ÅrŒéu•‚lð}¦®â¦r”¸h›‰ávûn»/ãy~nóIóz]¶«y÷: $¦\äröe,|c0êˆ èÁeWë°÷Ú¬SÐäs·à´U,g.(’'äæm £Aëd�ÑQþt¨’�|†íñ]¾î–Å>6JºHÀ©|†¹2v‹ÎgܺI—C›ˆû°-�b3ÔÕ¸ÇÀ©†¿ µ#kùel§° E0c>fóf g9I<“{1s¼¶ ¹,>Ðl¶¸·Û.uíI¦@úO�AK�±"«FY f9]Îg­BºcñH•1’ßOÓ(JêÏê1p¦,¶ßs÷Ù÷M²
  559. �Suf�Ñ`S!21”#:{†Ó™˜º�­ÙÒëk./rÑ®ËÆG�Çew¬Íõ\’à}Ì�5òá! ¼i$±í!%Y¤3lJhhV†�Æ"õ
  560. 6¹ö¡¾{†©a6&Òm!¶ê †äà¨äÐƤ1´[²Oq
  561. †„Úlm"mI [_�÷óBHÚ° M¢«B|»[H…m ¤’†’Bø­!e˜�qŒrÍ%Y‰oo0¹&Ù ¸j" J³Ùb1 nŒtÉ]´´�r­+#F%…H‘Á»v¹‹tè:ο]Áî9˜¢|M‰õÝmßnë®áïÐRIK”1>Ó/q^ð‚‰ª÷¡¾óŒ ­ÔíJ@1MNb}͹Zd9ɶÚs'Ôœ¦àDÙ)H”¡�¤
  562. ¥Õ@è,^QÄd÷P‚‚”çÞQ~ˆ™)È, 3�æÄë9-¿ôzÉküþYÐSþlôù*
  563. ì¾L²±±8!i,hÄhm%‹fÑ)²N8p6¹( h$Èm ÐÐC%‹H«3º�&Qí"08}è'¨ÉDn”×) “$9Œ–$ìýÀ(@Q
  564. µoàíŸTÕÛ¡CÜmuŸWÛ\•ùLçü�~"þY¶� �›ÈÁ‘\+WÍ-+Ð4,¦ù4L¿–mJRÿ vÌVàÆÆ'hb©ØÀZkµÄ�výf“ª†¶Iá²Dóìg�¡ÙÿκäÞÕ :Öª0>“YWéµwv]»³-k¿AQ{³s¹—˜øM±àÎÙÖc`ùì<|Í+¬˜µ Xz‡iõ¯Oƒ÷$_ƒHðê4•Ë–xœLD@§¾Ú½õ|êR Kù�ÃhV˜xpz&@ÖjêÎk ;fcšc¥ï wó…â³GæB—Ý©Zö
  565. :žRRc™×±£Á» Z»fvP<êR2ÕŠ-è7¾ÓkG¥mˆ¶±DNr$ sôf:!-gCèíˆBɳÔaž`lÎ?ÁÔâ±CËòªÛî.ˆ•!(¢•‚êÂ=O©¶TcÙ^Y‘Ï‚ T¤–2 Öv¦þT¥…^”t„‹‡äGO
  566. ¬ífvI0ª§0tBúç[NdŒ_yâIÓH+nMÙÆ7tSdj¥á|÷ç´¢sï=€Â€°$âˆÌ–òMr ZÿYžã?4]”gªÓ]êôZ[õøÍ+®ºë®»¶©½È Él }jãŽ=pœÖùÜsö$�~UÆ“Ÿ•UÉé²Ú :] KÅ{”‘øošïc}æº[úÐxL�ð#3WLf^þËç ¨ÌGÄŠZ1øÜÄÊý�†.a¥¦ã" 4¸Ø]5¾„îBª’¥³¯°Ë_¢Ú^“0}†ƒ€8³lq9þp»œBâúcÍ”ŠÖµpÐîQ€ŒøN•*sûÒ‘‘‘µ¾îçfNJiˆÝ*Jë™û¯îç—2ËÆ rñ¡ÈAE@*î_Ü8È—Ø°RMÒ©L:jŽ^/ÆT<úHk…
  567. GUg~ȃŸçáÔåÒ]!H1Y\í®šQ5…Çv»�²Û wÛgØ�§�Ã\él¯÷CEâO®HÄ“…–-®Æ(I~¤¸’82ïû>+'äuj½IHñ¨&¤a‘§IÆ?&å5W”Š"*Ì®ë»W›Wƒ±š*Â2 ¹%Ç•cS±·ÉYØ°7ÃɸìÜ.·5¨ V¯õerµüáO]gÄ+ÏZA�ŸàkhϨ1±¶Ûm±å{ÎÂ|ÁÔH<Al­K-p,JÍ*·Ç3¥ÂÅo_y¾ÒZ��õ½¸q!§OIì—3J+ÈÙy6H.ÉAâ¤Ë^+ë%Mßêï[nn«Ã¶Ôi*ääªýßWáTWõoÖëj|jS2áƒvö2UPÌÇ”¦È¥J
  568. øÏï·kòóÔÿXÏ#‘0ˆp|„ÿJ|&ΤP£¢D�µ´Ö¡,©AR��j˜tì]éŠõØÎ<Ægóí7¾ ±Þ<¦º‘í*2qQ’¤ç](ÛÂ{úm;ø*Õ÷íà–®GŒÒ²é%Øvõõ�ý»Ô™Ç«æºzSä÷ÖsŽú5T”¼«Î¶©¢7zãz{ …¯#b<Ê!¯ÏÍf6 éšSh“üà÷¦Á˜Õ]ã{GBö�µŽk7[®ÌPû ]Å úÌ)’Û ~_{@>ì³¢ª©Ò‰G>óœó”ƒ ÁÛ>LoË梷œ3d©Ø#½5ÁJŠŒ(þ+“—'&Ñ;xn,ÌP†
  569. E©©­L„׳ª½B”yaÝÔ1 VÍ"²d•èP@;D Û¥R] êl SLJÊ_e-�´õðÈ>ÁéØåï�¬±ëÛr²0qezÉÕ;½3d'Üx«0Ð6·£ZžÎûŸ¡Nâš ¼õÿs‹/£ÂÕç§fd ¿/A¢¬R#ŒÜ³–þŒX&È´r=ˆÍ†dP‘€Î&o3r¥Õ³K"ã+{é€Çƒ02׆˜¹øQæß>?ö<’Z¿|\Gr“I•Êõ}QªÓòé«# A°âÛ@Éšý'
  570. t³Ù|ËÏõ¦4L5&îXõ­f7üu„Ž* ›cMŒ`ݹ~Z�&¢¥.
  571. ¡
  572. ©^ã±}-ñÕö\]×9Ë塈äõ×Y³l5û¥MÆ%˜_gŒ13Î&|îÅd¬B#‰é®1Û¨Òý¯F˜»Ü%ÌÔtÎ*G´”¢˜ÁÕ’Œ�&ÁoJ�»ÕáÝ`tÑ"�¼ÌI@ªó‘6Ûq‘:\rYWªe2ë,ß2ã¿žJIîNÖl'+¸BR«t‡æ“²ÁÖ+ú_3K‚ÀEõ1yкFD–ËŠbRÞÜêÀj"ùYa;š©d0*]þ2á/¼�Î'žÕðÚcÐcö-š¿>ÃE>í앧:W$³ÞäçC#ÐUjsLt.ºyÓvqâ‘Ðõ�À£•äµp¾ACMXÌöñ'Ñè
  573. Ž(ü'º•Å¿úØlwžwO qSŽx3K“à€¡$Ôû,ÒLúÝ ÄÆ î*ÞܨӳÞa2‚Á�Éúûx…þ~GlÞ¥�#èYFøjVX–‹„À6XÊ×›]êjbð¤6”`ýè5ÁFájX„;è.`bd%ìnL—­‰‚ˆ…Ý°�Èy刔›rd2Q š éšãsø{}:ñ/�èkü­Q�*r<}yû†cÐ ›‘€Që·5ÈB(G[wu~¡YC àUæ¶È$ÆŒ+ É•X¤ÂÉS>/+ã|Š\¾\œõ—JL»÷ô’#ÀP×½½Á†–¨Gâ,lâ% VvœÞ,‰æÆü_ÕTô&_cɦÄY+}iŽ DDwüEÈz‘*TPI‚‚Hl„‰^¤˜øq’ ¬qÊNŽ ˆÚÁ±5šm#IÍR)a(XN38žÞßäm½ž×½5mÒ;©í ˆb€ 8M�JPŸ`Ì]|¢µÖ"­Z�ŸØÍJ"„Š³9Û<Îàô9I,MÄPO*e3¤/2DʳVáÍÄ—±×%½,Æ0±8ŒÝÝy2òÓ3‰Ç€Ì0 r�¤ˆ ŽÅYf�È(æ²é ¼úV'”’Âwï•àì残ü匱s°«xT"ôx²¼NS³T¸(0‹a¡•xÞšûž¿Q—æäNd«Ù˜ñ•ÁY´…Ž(¥TFÌŸÆö’ß¡]UÖQ€ –AdüN¶í¬9>>]Q£V„î:5ÿìu‰pV²Œ8 J‡Z…$„è°>ЀÓþ4ÚLÔB¬€utNü½šèNJ!€‚¿Så`WD
  574. e>ZÚÂNoO
  575. þè5Ñ[Ê©NUæ›&XÎìž[µ]8?N^Ÿ²[)n,¶'ô¾�Dú/̯K«•Ñ¢Ä%yHb…(“RóUW;¯„,R¦ù}€3ŠÓW0ómÊ XÅŸÿ;yy„Öùë챈BA¢è>hŽH µýÉ®îX,\%8ë{ê8ß— 0Î×.µßî Õõ…Å[‹N' :b…†Xåf‚Æâò>6ËÉ»î6Ê¡pÝöou#Åϼ(ýºÆû>b'Zm±ž¼}Óc1c‡Ø2ùì·Í�yfÐd™ š†fY&ZõwW¿”Ïõ_.\6ÖwS}œµy­&_«¶÷�=ªÀYçA! ªÔay}®¢r�wŠg�0¢‹t‰—›‚#D…àRMQ"Ò«¨Ò~?%’ª$Õ!Šठ‘¿X­ÿ“&m¹u3Q.ø–g§ØŸŠ-éج®öØ"&½¹‰Ÿ%„t¤S¡‰—¨©�¤�Ôy ãõªá»(&ƒ }Æ]sLgRx5v«zí·“8ÑøàÇ1…´Ù¼?>ÿ÷6õe(òjì%C8Õߣ¹}¼èÍLF»²ð­c_4j™¦¯É;— |È›ò„CÎFÊš�wòí=<Sx±»¤âõeç”–!„'‰½c]ÞÊ‘ËF8ØQ2—°¾�›™¼·<趮צ<áët˜¥zúcqÔûS¨Dâ[Ãî¨ã烈W@³ÃE8:©¿NÛ�Ìíù×;2Ó÷ù1·ïr× žNù¼"s”Iûl¿¬òÒÕ¥á{V“ Ò×ÈÔk*ZçX…�°wÛûÿŽ•K¨}†3GgÛ÷’7@� yC><Œ5©ƒ—_Ÿ>¹!¦nÁ-RyÕª‘µTâ¾,îsôOgX˜ži T³Í[­¢Ü yô×?éšM@I)�Blld-7eÃnÔçp©Ö™?"4w;ÿ›t¹ºûŽ_¡£YAÅm XÝÖMrŒdh%ÑT‚±�“Ç×%š¾ú�Þí+Ž?ÀØ[ý®Êôïù;žÝ˜¼þPåFÕ" ¬8€�ÖrÊ·<
  576. ’oôëü­£`®§_�ˆŽmƹߦŸønã‘_˜ˆ‘V¥‹£kShèÂ/Emc%h”þ®oÒËz�PøÙîî ·<™û¾‡*á•NV>ü‰�0JÍÔÚV`„¸ÝÛ·?ŽÂP„¹äëuÞsiÃ,“3æ.öÆ®«E^AÛ|÷ˆcql.á¸j‘‹oÏ Z¼K½åä¾·:®uï}±gŸôþ;»•N~0Ýf
  577. l<û;-οyºMfÓ¶ ›ò/üª†�C @³˜“§ˆN6‚yÀÉŽû#|ùõlÜ5ÚLô?l”lY2|ÙÁƒÒÓç›#èfk sdîñÿws0ÿ¹b¶o™v¾?ÁÖú?›¥|ËUsÍ‚{˜7<ž0]FùB¨þ¡’°21É‘ D4Cm�‹!§ožk¨i'ײñóìGTÁé¡Ë~ô4½ÿEÓÛÕÀê1ø�;ä^ÓŽÙV]“ÒäÆX”AAØ2ç%ós—›Ú:êßbâÉ;ÆBûÓ´ZÂ=a2 ͯ‰‚Ówæ›—NUæß­ßÇ©N0¡£]5Jíb˜Îæâ}ãØÍfä?<þ'Õ\ïtý‹�RÚ^UF¥ÚV¢Ã«ÑÊ~¹Všíâw‚8 s4£­UÞ{¯=/6/‰²_–�(ð
  578. VHÉ 2 @¬–5ç4ìæï™Ä™â¯Êuðû{O©Kü¤W{Ç Mo›m3’¡ÙCâ—^Ðç¡vtµzÏçߘsÍ‘ 1˜Z}š±nùôßîç‘Þï À•ÒK*µo3>¡Zœý^ g& )ÇBMç÷Y°åò:{¼GZʪæJÃB:ðºšv/aÄG½ìÿÇY¦úú]��íz�Žu%ºk1µ€ï:ˆF‹ tÒ–’:FcÚ亸UE¤槇�K�+h²1z~?M$ŠFçž"Q R`V#%6£R!+T„ÚòDsÈœ·Ù­„I)ò.Fµk¹kç-Ç!­À„Ê‘jE-È:2ÀK)”Îp�¬(…«°¸½\nË»¼Ù5Wñ™ß³_’dÖ¶¶V´Ë,²Ë?p:âîH§
  579.   Õ`